## audacious-dumb 0.56

=== Makefile ===
PLUGIN_FILE := libdumb.so

INSTALL_DIR := $(shell pkg-config audacious --variable=input_plugin_dir)

INSTALL_DIR_HOME := ~/.local/share/audacious/Plugins/Input

CC ?= gcc
CFLAGS ?= -O2 -pipe

CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
AUDACIOUSCFLAGS = $(shell pkg-config 'audacious >= 1.4' --cflags || echo "old")

ifeq ($(AUDACIOUSCFLAGS),old)
version:
	@false
else
CFLAGS += $(AUDACIOUSCFLAGS)
endif

DUMBLIBS := -ldumb -L/usr/local/lib
AUDACIOUSLIBS := $(shell pkg-config audacious --libs) 

SOURCES := audacious-dumb.c callbacks.c interface.c support.c
OBJDIR := obj
OBJECTS := $(SOURCES:%.c=$(OBJDIR)/%.o)

all:	$(PLUGIN_FILE)
	@echo
	@echo "The plug-in has been compiled. Run one of the following:"
	@echo "make install      - for global (root) installation to $(INSTALL_DIR)"
	@echo "make install-home - for installation to home directory $(INSTALL_DIR_HOME)"

$(PLUGIN_FILE): $(OBJECTS)
	$(CC) -shared -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)

$(OBJDIR)/%.o: %.c
	$(CC) -o $@ $(CFLAGS) -c $<

install: all
	install -d $(DESTDIR)$(INSTALL_DIR)
	install -m 0755 $(PLUGIN_FILE) $(DESTDIR)$(INSTALL_DIR)
	@echo
	@echo "The plug-in has been installed."
	@echo "It is recommended you disable the Modplug plug-in"
	@echo "and any others that support the IT, XM, S3M or MOD formats."
	@echo "Enjoy!"

install-home: all
	install -d $(INSTALL_DIR_HOME)
	install -m 0755 $(PLUGIN_FILE) $(INSTALL_DIR_HOME)
	@echo
	@echo "The plug-in has been installed."
	@echo "It is recommended you disable the Modplug plug-in"
	@echo "and any others that support the IT, XM, S3M or MOD formats."
	@echo "Enjoy!"

uninstall:
	rm -f $(DESTDIR)$(INSTALL_DIR)/$(PLUGIN_FILE)
	@echo
	@echo "The plug-in has been uninstalled."

uninstall-home:
	rm -f $(INSTALL_DIR_HOME)/$(PLUGIN_FILE)
	@echo
	@echo "The plug-in has been uninstalled."

clean:
	rm -f $(OBJECTS)

distclean: clean
	rm -f $(PLUGIN_FILE) *~

DEPCC := echo "int main() { return 0; };" | $(CC) -x c -o /dev/null -
depcheck:
	@echo -n "dumb.h ... "
	@$(DEPCC) -include dumb.h && echo "found." || exit 1
	@echo -n "libdumb.so ... "
	@$(DEPCC) $(DUMBLIBS) -lm && echo "found." || exit 1
	@echo -n "Audacious ... "
	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
	@pkg-config audacious --atleast-version=1.4 || { echo -n "version 1.4 or later not found." && exit 1; }
	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
	@echo "Everything seems to be ok."

## audacious-dumb 0.65

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
-PLUGIN_FILE := libdumb.so
+PLUGIN_FILE := dumb.so
 
 INSTALL_DIR := $(shell pkg-config audacious --variable=input_plugin_dir)
 
 INSTALL_DIR_HOME := ~/.local/share/audacious/Plugins/Input
 
-CC ?= gcc
 CFLAGS ?= -O2 -pipe
 
 CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
-AUDACIOUSCFLAGS = $(shell pkg-config 'audacious >= 1.4' --cflags || echo "old")
+AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= 2.5' --cflags || echo "old")
 
 ifeq ($(AUDACIOUSCFLAGS),old)
 version:
@@ -31,7 +30,7 @@
 	@echo "make install-home - for installation to home directory $(INSTALL_DIR_HOME)"
 
 $(PLUGIN_FILE): $(OBJECTS)
-	$(CC) -shared -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)
+	$(CC) -shared $(LDFLAGS) -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)
 
 $(OBJDIR)/%.o: %.c
 	$(CC) -o $@ $(CFLAGS) -c $<
@@ -78,7 +77,7 @@
 	@$(DEPCC) $(DUMBLIBS) -lm && echo "found." || exit 1
 	@echo -n "Audacious ... "
 	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
-	@pkg-config audacious --atleast-version=1.4 || { echo -n "version 1.4 or later not found." && exit 1; }
+	@pkg-config audacious --atleast-version=2.5 || { echo -n "version 2.5 or later not found." && exit 1; }
 	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
 	@echo "Everything seems to be ok."

=== debian/changelog ===
audacious-dumb (0.65-1) unstable; urgency=low

  * QA upload.
  * New upstream release. This is not the latest, though, as it wouldn't
    be compatible with current audacious version.
    - API are now compatible with recent audacious (Closes: #587984).
    - Fix compilation issues with recent audacious (Closes: #620919).
    - Trigger rebuild against new libmowgli (Closes: #629495).
  * Switch to format 3.0 (quilt).
  * debian/patches/audacious_version.patch:
    - Allow build with audacious 2.4.3 too.
  * debian/clean:
    - Remove libdumb.so on clean (Closes: #590543, #594045).
  * debian/compat:
    - Bump compatibility level to 8.
  * debian/control:
    - Set Maintainer to Debian QA Group.
    - Bump minimum audacious(-dev) version to >= 2.4.3
    - Bump Standards-Version to 3.9.2.
    - Remove duplicate Section field in binary stanza.
  * debian/copyright:
    - Use versioned link to GPL-2 license.
  * debian/rules:
    - Convert to dh.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 09 Dec 2011 00:31:25 +0100

audacious-dumb (0.57-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * audacious-dumb.c, audacious-dumb.h:
    - Cherry-Pick fixes for new audacious (Closes: #581282).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 19 Jul 2010 19:45:24 +0200

audacious-dumb (0.57-1) unstable; urgency=low

  * New upstream release.
  * No-change update to Standards-Version 3.7.3.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sun, 17 Feb 2008 20:11:56 -0600

audacious-dumb (0.56-1) unstable; urgency=low

  * Initial release (Closes: #451083)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Tue, 13 Nov 2007 01:54:56 -0600

=== debian/control ===
Source: audacious-dumb
Section: sound
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), audacious-dev (>= 2.4.3), libdumb1-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.netswarm.net

Package: audacious-dumb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, audacious (>= 2.4.3)
Description: audacious plugin for MOD playback via libdumb
 audacious-dumb is a plugin for playing back MODs using the
 popular libdumb MOD playback engine.
 .
 It supports module formats such as: IT (Impulse Tracker),
 S3M (Scream Tracker 3), XM (Fast Tracker 2), and also
 some common Amiga Module file formats.

## audacious-dumb 0.80

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,36 @@
 PLUGIN_FILE := dumb.so
+PACKAGE := audacious-dumb
+
+AUDMINVER := 3.2
+
+CFLAGS ?= -O2 -pipe
+CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
 
 INSTALL_DIR := $(shell pkg-config audacious --variable=input_plugin_dir)
-
 INSTALL_DIR_HOME := ~/.local/share/audacious/Plugins/Input
 
-CFLAGS ?= -O2 -pipe
+AUDPREFIX := $(shell pkg-config audacious --variable=exec_prefix)
+AUDBIN := $(AUDPREFIX)/bin/audacious
 
-CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
-AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= 2.5' --cflags || echo "old")
+#GTKBASEVER ?= 2.0 # 2.0 or 3.0
+GTKBASEVER ?= $(shell ldd $(AUDBIN) | grep -q 'libgtk-3' && echo '3.0' || echo '2.0')
+GTKCFLAGS :=  $(shell pkg-config gtk+-$(GTKBASEVER) --cflags)
+
+AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= $(AUDMINVER)' --cflags || echo "old")
 
 ifeq ($(AUDACIOUSCFLAGS),old)
 version:
+	@echo "Your Audacious version is too old. Version $(AUDMINVER) or later is required."
 	@false
 else
-CFLAGS += $(AUDACIOUSCFLAGS)
+CFLAGS += $(AUDACIOUSCFLAGS) $(GTKCFLAGS) -DPACKAGE=\"$(PACKAGE)\"
 endif
 
 DUMBLIBS := -ldumb -L/usr/local/lib
 AUDACIOUSLIBS := $(shell pkg-config audacious --libs) 
+GTKLIBS += $(shell pkg-config gtk+-$(GTKBASEVER) --libs)
 
-SOURCES := audacious-dumb.c callbacks.c interface.c support.c
+SOURCES := audacious-dumb.c
 OBJDIR := obj
 OBJECTS := $(SOURCES:%.c=$(OBJDIR)/%.o)
 
@@ -30,7 +41,7 @@
 	@echo "make install-home - for installation to home directory $(INSTALL_DIR_HOME)"
 
 $(PLUGIN_FILE): $(OBJECTS)
-	$(CC) -shared $(LDFLAGS) -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)
+	$(CC) -shared $(LDFLAGS) -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS) $(GTKLIBS)
 
 $(OBJDIR)/%.o: %.c
 	$(CC) -o $@ $(CFLAGS) -c $<
@@ -77,7 +88,8 @@
 	@$(DEPCC) $(DUMBLIBS) -lm && echo "found." || exit 1
 	@echo -n "Audacious ... "
 	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
-	@pkg-config audacious --atleast-version=2.5 || { echo -n "version 2.5 or later not found." && exit 1; }
+	@pkg-config audacious --atleast-version=$(AUDMINVER) || { echo -n "version $(AUDMINVER) or later not found." && exit 1; }
 	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
+	@echo "Audacious GTK base version ... $(GTKBASEVER)"
 	@echo "Everything seems to be ok."

=== debian/changelog ===
audacious-dumb (0.80-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fix FTBFS if compiled against latest audacious (Closes: #664906).
  * debian/patches/audacious_version.patch:
    - Dropped, no longer needed.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Add libgtk2.0-dev to Build-Depends.
    - Bump minimum audacious version to >= 3.2.
    - Bump Standards-Version to 3.9.3.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 11 Apr 2012 00:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), audacious-dev (>= 2.4.3), libdumb1-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), audacious-dev (>= 3.2), libdumb1-dev, pkg-config, libgtk2.0-dev
+Standards-Version: 3.9.3
 Homepage: http://www.netswarm.net
 
 Package: audacious-dumb

## audacious-dumb 0.82

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PLUGIN_FILE := dumb.so
 PACKAGE := audacious-dumb
 
-AUDMINVER := 3.2
+AUDMINVER := 3.3
 
 CFLAGS ?= -O2 -pipe
 CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
@@ -12,9 +12,7 @@
 AUDPREFIX := $(shell pkg-config audacious --variable=exec_prefix)
 AUDBIN := $(AUDPREFIX)/bin/audacious
 
-#GTKBASEVER ?= 2.0 # 2.0 or 3.0
-GTKBASEVER ?= $(shell ldd $(AUDBIN) | grep -q 'libgtk-3' && echo '3.0' || echo '2.0')
-GTKCFLAGS :=  $(shell pkg-config gtk+-$(GTKBASEVER) --cflags)
+GTKCFLAGS :=  $(shell pkg-config gtk+-3.0 --cflags)
 
 AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= $(AUDMINVER)' --cflags || echo "old")
 
@@ -28,7 +26,7 @@
 
 DUMBLIBS := -ldumb -L/usr/local/lib
 AUDACIOUSLIBS := $(shell pkg-config audacious --libs) 
-GTKLIBS += $(shell pkg-config gtk+-$(GTKBASEVER) --libs)
+GTKLIBS += $(shell pkg-config gtk+-3.0 --libs)
 
 SOURCES := audacious-dumb.c
 OBJDIR := obj
@@ -90,6 +88,5 @@
 	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
 	@pkg-config audacious --atleast-version=$(AUDMINVER) || { echo -n "version $(AUDMINVER) or later not found." && exit 1; }
 	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
-	@echo "Audacious GTK base version ... $(GTKBASEVER)"
 	@echo "Everything seems to be ok."

=== debian/changelog ===
audacious-dumb (0.82-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fix FTBFS if compiled against latest audacious (Closes: #707396).
  * debian/control:
    - Bump Standards-Version to 3.9.4.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 14 May 2013 20:33:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), audacious-dev (>= 3.2), libdumb1-dev, pkg-config, libgtk2.0-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.netswarm.net
 
 Package: audacious-dumb

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3
http://www.netswarm.net/misc/audacious-dumb-(.*)\.tar\.gz
